org.flexdock.perspective.event

## Class LayoutEvent

- java.lang.Object
- - java.util.EventObject
  - - org.flexdock.event.Event
    - - org.flexdock.perspective.event.LayoutEvent

All Implemented Interfaces:
  java.io.Serializable, DockingConstants

    public class LayoutEvent
    extends Event

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `DOCKABLE_HIDDEN`
`static int` `DOCKABLE_RESTORED`
`static int` `LAYOUT_APPLIED`
`static int` `LAYOUT_EMPTIED`

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`LayoutEvent(Layout layout, Layout oldLayout, java.lang.String dockableId, int evtType)`

### Method Summary

Methods
`Dockable` `getDockable()`
`Layout` `getOldLayout()`

### Methods inherited from class org.flexdock.event.Event

`getEventType`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LAYOUT_APPLIED

    public static final int LAYOUT_APPLIED

See Also:
  Constant Field Values

#### LAYOUT_EMPTIED

    public static final int LAYOUT_EMPTIED

See Also:
  Constant Field Values

#### DOCKABLE_HIDDEN

    public static final int DOCKABLE_HIDDEN

See Also:
  Constant Field Values

#### DOCKABLE_RESTORED

    public static final int DOCKABLE_RESTORED

See Also:
  Constant Field Values

### Constructor Detail

#### LayoutEvent

    public LayoutEvent(Layout layout,
               Layout oldLayout,
               java.lang.String dockableId,
               int evtType)

### Method Detail

#### getOldLayout

    public Layout getOldLayout()

#### getDockable

    public Dockable getDockable()